#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		pulseid		pulse
%define		svers		%(echo %{version} | cut -d '.' -f1,2)
#-----------------------------------------------------------------------------
Name		:	pulseaudio
Version		:	16.1
Release		:	17.0.10.rel%{?dist}
Summary		:	A networked sound server
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://www.freedesktop.org/software/pulseaudio/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	alsa-lib
BuildRequires	:	avahi
BuildRequires	:	bluez-libs-devel
BuildRequires	:	dbus-devel
BuildRequires	:	doxygen
BuildRequires	:	elogind
BuildRequires	:	eudev-devel
BuildRequires	:	fftw
BuildRequires	:	gstreamer
BuildRequires	:	gst-plugins-base
BuildRequires	:	intltool
BuildRequires	:	jack2-devel
BuildRequires	:	libsndfile
BuildRequires	:	ofono
BuildRequires	:	sbc-devel
BuildRequires	:	speex
BuildRequires	:	speexdsp
BuildRequires	:	xcb-proto
BuildRequires	:	xorg-libXtst

Requires	:	ofono
Requires	:	alsa-lib
Requires	:	shadow
#-----------------------------------------------------------------------------
%description
PulseAudio is a sound system for POSIX OSes, meaning that it is
a proxy for sound applications. It allows you to do advanced
operations on your sound data as it passes between your application
and your hardware. Things like transferring the audio to a different
machine, changing the sample format or channel count and mixing
several sounds into one are easily achieved using a sound server. 

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-, root,root,-)
%doc NEWS README
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_sysconfdir}/xdg/Xwayland-session.d/00-pulseaudio-x11
%{_sysconfdir}/pulse/*.{conf,pa}
%{_sysconfdir}/dbus-1/system.d/%{name}-system.conf
%{_bindir}/pa-info
%{_bindir}/pacat
%{_bindir}/pacmd
%{_bindir}/pactl
%{_bindir}/padsp
%{_bindir}/pamon
%{_bindir}/paplay
%{_bindir}/parec
%{_bindir}/parecord
%{_bindir}/pasuspender
%{_bindir}/pax11publish
%{_bindir}/%{name}
%{_bindir}/qpaeq
%{_bindir}/start-%{name}-x11
%{_includedir}/pulse/*.h
%{_libdir}/udev/rules.d/90-%{name}.rules
%{_libdir}/cmake/PulseAudio/*.cmake
%{_libdir}/libpulse*.so*
%{_libdir}/pkgconfig/libpulse*.pc
%{_libdir}/%{name}/libpulse*.so
%{_libdir}/%{name}/modules/lib*.so
%{_libdir}/%{name}/modules/module-*.so
%{_datadir}/bash-completion/completions/pa*
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/%{name}/alsa-mixer/profile-sets/*.conf
%{_datadir}/%{name}/alsa-mixer/paths/*.{conf,conf.common}
%{_datadir}/vala/vapi/libpulse*.{deps,vapi}
%{_datadir}/zsh/site-functions/_%{name}
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/*.5.gz

#-----------------------------------------------------------------------------
%pre
#creating pulseaudio user
getent group %{pulseid} > /dev/null || groupadd -f -r %{pulseid}
if ! getent passwd %{pulseid} > /dev/null ; then
  useradd						\
	-r						\
	-g %{pulseid} 					\
	-d %{_localstatedir}/run/%{pulseid}		\
	-s /sbin/nologin				\
	-c "PulseAudio System Daemon" %{pulseid}		
  fi

%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build


meson							\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
        --sysconfdir=%{_sysconfdir}			\
        --libexecdir=%{_libexecdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	-D system_user=%{pulseid}			\
  	-D system_group=%{pulseid}			\
	-D database=gdbm 				\
	-D alsa=enabled 				\
	-D avahi=enabled 				\
	-D elogind=enabled				\
	-D fftw=enabled					\
	-D jack=enabled					\
	-D speex=enabled 				\
	-D udev=enabled					\
	-D x11=enabled					\
	-D udevrulesdir=%{_libdir}/udev/rules.d		\
	-D bluez5=enabled				\
	-D bluez5-native-headset=true			\
	-D bluez5-ofono-headset=true			\
	-D bluez5-gstreamer=enabled			\
	-D systemd=disabled				\
	-D doxygen=true					\
	build

ninja							\
	-C build


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}                                    \
        ninja                                           \
        -C build                                        \
        install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
